SqlStatement class

- « Session::startTransaction

- SqlStatement::bind »

- PHP Manual
- Mysql_xdevapi
- SqlStatement class

# SqlStatement class

(PECL mysql-xdevapi >= 8.0.11)

## Introduction

## Class synopsis

class mysql_xdevapi\SqlStatement {
/* Constants */
const int EXECUTE_ASYNC = 1;
const int BUFFERED = 2;
/* Properties */
public $statement;
/* Methods */
public bind(string `$param`): mysql_xdevapi\SqlStatement
public execute(): mysql_xdevapi\Result
public getNextResult(): mysql_xdevapi\Result
public getResult(): mysql_xdevapi\Result
public hasMoreResults(): bool
}

## Properties

statement

## Predefined Constants

`mysql_xdevapi\SqlStatement::EXECUTE_ASYNC`

`mysql_xdevapi\SqlStatement::BUFFERED`

## Table of Contents

- SqlStatement::bind — Bind statement parameters
- SqlStatement::__construct — Description constructor
- SqlStatement::execute — Execute the operation
- SqlStatement::getNextResult — Get next result
- SqlStatement::getResult — Get result
- SqlStatement::hasMoreResults — Check for more results